package com.gh.gamecenter.suggest;

import com.gh.gamecenter.common.base.BaseRecyclerViewHolder;
import com.gh.gamecenter.common.callback.OnListClickListener;
import com.gh.gamecenter.databinding.GameUploadPicItemBinding;

import java.util.List;

public class GameUploadPicViewHolder extends BaseRecyclerViewHolder<List<String>> {
    public GameUploadPicItemBinding binding;

    public GameUploadPicViewHolder(GameUploadPicItemBinding binding) {
        super(binding.getRoot());
        this.binding = binding;
    }

    public GameUploadPicViewHolder(GameUploadPicItemBinding binding, OnListClickListener listClickListener) {
        super(binding.getRoot(), listClickListener);
        this.binding = binding;
        this.binding.getRoot().setOnClickListener(this);
    }
}
